<?php
require_once (PATH_TABLES . "activity/goods/GoodsReceivingCommunicationTable.php") ;
require_once (PATH_MODELS . "base/MasterBase.php") ;

class GoodsReceivingCommunicationClass extends MasterBase {
	function __construct($db) {
		$this->db 		= $db ;
		$this->tbl 		= GoodsReceivingCommunicationTable::C_TABLE ;
		$this->fldid 	= GoodsReceivingCommunicationTable::C_HEADER_ID ;
	}
	function __destruct() {
	}

	function getGoodsReceivingCommunication($id){
        $sql = "SELECT * FROM " ;
        $sql .= GoodsReceivingCommunicationTable::C_TABLE . " WHERE " . GoodsReceivingCommunicationTable::C_HEADER_ID . " = " . $id;
        
        $rows = $this->db->getTable($sql);

        if(!is_null($rows) && count($rows) > 0){
            return $rows;
        }
        
        return null;
    }

}
?>